curl --request PATCH \
--url https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName}/draft \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowChildTables": true,
"allowPublicApiAccess": true,
"columns": [
{
"id": 123,
"label": "<string>",
"name": "<string>",
"options": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"label": "<string>",
"name": "<string>",
"order": 123,
"type": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"createdByUserId": 123,
"updatedByUserId": 123
}
],
"foreignColumnId": 123,
"foreignTableId": 123,
"maxNumberOfCharacters": 123,
"maxNumberOfOptions": 123
}
],
"dynamicMetaTags": {},
"enableChildTablePages": true,
"label": "<string>",
"name": "<string>",
"useForPages": true
}
'{
"allowChildTables": true,
"allowPublicApiAccess": true,
"columnCount": 123,
"columns": [
{
"deleted": true,
"description": "<string>",
"id": "<string>",
"label": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>"
},
"createdByUserId": 123,
"foreignColumnId": 123,
"foreignIds": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>"
}
],
"foreignIdsById": {},
"foreignIdsByName": {},
"foreignTableId": 123,
"optionCount": 123,
"options": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"label": "<string>",
"name": "<string>",
"order": 123,
"type": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>"
},
"createdByUserId": 123,
"updatedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>"
},
"updatedByUserId": 123
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>"
},
"updatedByUserId": 123,
"width": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"deleted": true,
"deletedAt": "2023-11-07T05:31:56Z",
"dynamicMetaTags": {},
"enableChildTablePages": true,
"id": "<string>",
"label": "<string>",
"name": "<string>",
"published": true,
"publishedAt": "2023-11-07T05:31:56Z",
"rowCount": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"useForPages": true,
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>"
},
"isOrderedManually": true,
"updatedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>"
}
}既存のHubDBテーブルを更新します。このエンドポイントを使用して、テーブルに対する列の追加や削除を行うだけでなく、アーカイブ済みのテーブルを復元できます。このエンドポイントを使用してテーブルが更新されると、テーブルの下書きバージョンのみが変更されます。全ての変更を公開済みバージョンにプッシュするには、「/publish」エンドポイントを使用します。テーブルを復元するには、クエリーパラメーター「archived=true」と「“archived”: false」をjson本文に含めます。 **注:**列の追加/削除/更新を行う際には、入力に全ての列を含める必要があります。リクエストにまだ既存の列を含めていない場合、削除されます。
curl --request PATCH \
--url https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName}/draft \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowChildTables": true,
"allowPublicApiAccess": true,
"columns": [
{
"id": 123,
"label": "<string>",
"name": "<string>",
"options": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"label": "<string>",
"name": "<string>",
"order": 123,
"type": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"createdByUserId": 123,
"updatedByUserId": 123
}
],
"foreignColumnId": 123,
"foreignTableId": 123,
"maxNumberOfCharacters": 123,
"maxNumberOfOptions": 123
}
],
"dynamicMetaTags": {},
"enableChildTablePages": true,
"label": "<string>",
"name": "<string>",
"useForPages": true
}
'{
"allowChildTables": true,
"allowPublicApiAccess": true,
"columnCount": 123,
"columns": [
{
"deleted": true,
"description": "<string>",
"id": "<string>",
"label": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>"
},
"createdByUserId": 123,
"foreignColumnId": 123,
"foreignIds": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>"
}
],
"foreignIdsById": {},
"foreignIdsByName": {},
"foreignTableId": 123,
"optionCount": 123,
"options": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"label": "<string>",
"name": "<string>",
"order": 123,
"type": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>"
},
"createdByUserId": 123,
"updatedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>"
},
"updatedByUserId": 123
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>"
},
"updatedByUserId": 123,
"width": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"deleted": true,
"deletedAt": "2023-11-07T05:31:56Z",
"dynamicMetaTags": {},
"enableChildTablePages": true,
"id": "<string>",
"label": "<string>",
"name": "<string>",
"published": true,
"publishedAt": "2023-11-07T05:31:56Z",
"rowCount": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"useForPages": true,
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>"
},
"isOrderedManually": true,
"updatedBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
子テーブルを作成できるかどうかが指定されます
テーブルを許可なしで誰でも読み取れるかどうかが指定されます
テーブル内の列のリスト
Show child attributes
関連付けられている列IDを使用して[メタデータフィールド](https://developers.hubspot.com/docs/cms/guides/dynamic-pages/hubdb#dynamic-pages)のキー値ペアが指定されます。
Show child attributes
子テーブルを使用した複数レベルの動的ページの作成が指定されます
テーブルのラベル
テーブルの数
テーブルを動的ページの作成に使用できるかどうかが指定されます
successful operation
子テーブルを作成できるかどうかが指定されます
テーブルを許可なしで誰でも読み取れるかどうかが指定されます
削除された列を含む列の数
テーブル内の列のリスト
Show child attributes
テーブルが作成された時点のタイムスタンプ
テーブルが削除済みにされたかどうかを示します。
テーブルが削除された日時を示すタイムスタンプ。
関連付けられている列IDを使用して[メタデータフィールド](https://developers.hubspot.com/docs/cms/guides/dynamic-pages/hubdb#dynamic-pages)のキー値ペアが指定されます。
Show child attributes
子テーブルを使用した複数レベルの動的ページの作成が指定されます
テーブルのID
テーブルのラベル
テーブルの数
テーブルが現在公開されているかどうかを示します。
テーブルが最近公開された時点のタイムスタンプ
テーブル内の行数
テーブルが最近更新された時点のタイムスタンプ
テーブルを動的ページの作成に使用できるかどうかが指定されます
Show child attributes
テーブルの行が手動で並べ替えられたかどうかを示します。
Show child attributes